Skip to content

document-contract-notes​


Calculate amounts of an existing document​

POST
/accounts/{accountUuid}/documents/v2/contract-notes/{documentUuid}/calculate

Calculates the amounts of an existing document for previewing without manipulating any resources

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
documentUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"currencyCode": "string",
  
"positions": [
  
  
{
  
  
  
"positionNumber": 0,
  
  
  
"uuid": "string",
  
  
  
"kind": "page_break",
  
  
  
"unitUuid": "string",
  
  
  
"unitCode": "C62",
  
  
  
"quantity": 1,
  
  
  
"singlePrice": 0,
  
  
  
"discount": {
  
  
  
  
"percentage": 0,
  
  
  
  
"amount": 0
  
  
  
},
  
  
  
"vatUuid": "string",
  
  
  
"vat": {
  
  
  
  
"percentage": 0
  
  
  
},
  
  
  
"productUuid": null,
  
  
  
"productNumber": "string",
  
  
  
"productDescription": "string",
  
  
  
"title": "string",
  
  
  
"text": "string",
  
  
  
"items": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"kind": "product",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
"productDescription": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"showCollapsed": true
  
  
}
  
],
  
"documentDiscount": {
  
  
"percentage": 0,
  
  
"amount": 0
  
},
  
"invoiceDate": "string"
}

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"total": 0,
  
  
"positionTotal": 0,
  
  
"discount": 0,
  
  
"roundingDifference": 0,
  
  
"taxes": [
  
  
  
{
  
  
  
  
"rate": 0,
  
  
  
  
"value": 0,
  
  
  
  
"name": "string",
  
  
  
  
"baseSum": 0
  
  
  
}
  
  
],
  
  
"totalInvoicedAmount": 0
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​